xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) David Roundy <droundy@darcs.net>
License | BSD3-style (see LICENSE)
Maintainer | none
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Util.NamedWindows

Contents

- Usage

Description

This module allows you to associate the X titles of windows with them.

Synopsis

- data NamedWindow
- getName :: Window -> X NamedWindow
- withNamedWindow :: (NamedWindow -> X ()) -> X ()
- unName :: NamedWindow -> Window

# Usage

See XMonad.Layout.Tabbed for an example of its use.

data NamedWindow

Instances

Eq NamedWindow |
Ord NamedWindow |
Show NamedWindow |

getName :: Window -> X NamedWindow

withNamedWindow :: (NamedWindow -> X ()) -> X ()

unName :: NamedWindow -> Window